{% extends "base.html" %}

{% block content %}
<h1>Posts</h1>

<table class="table">
    <tr>
        <th>Post List for {{ date }}</th>
    </tr>

    {% for post in posts %}
    <tr>
        <td>
            {{
                post['post']
            }}

                <form style="float:right" class='form-inline' method='post' action="{{url_for('.update_post')}}">
                    <input class='form-control' type='hidden' name='id' value= "{{ post['_id'] }}"/>
                    <input class='form-control' type='hidden' name='action' value='remove'/>
                    <input class='btn btn-danger' type='submit' value = 'Delete' />
                </form>


                 <form  style="padding-top:15px;margin-bottom:0" class='form-inline' method='post' action="{{url_for('.update_post')}}">
                    <input class='form-control' type='hidden' name='id' value= "{{ post['_id'] }}"/>
                    <input class='form-control' type='hidden' name='post' value= "{{ post['post'] }}"/>

                        
                        {% if post['emotion'] == 'Like' %}
                            <input class='btn btn-primary btn-xs' type='submit' name = 'action' value = 'Like' />
                        {% else %}
                            <input class='btn btn-default btn-xs' type='submit' name = 'action' value = 'Like' />
                        {% endif %}

                        {% if post['emotion']== 'Love' %}
                            <input class='btn btn-primary btn-xs' type='submit' name = 'action' value = 'Love' />
                        {% else %}
                            <input class='btn btn-default btn-xs' type='submit' name = 'action' value = 'Love' />
                        {% endif %}

                        {% if post['emotion']== 'Laugh' %}
                            <input class='btn btn-primary btn-xs' type='submit' name = 'action' value = 'Laugh' />
                        {% else %}
                            <input class='btn btn-default btn-xs' type='submit' name = 'action' value = 'Laugh' />
                        {% endif %}

                        {% if post['emotion']== 'Wow' %}
                            <input class='btn btn-primary btn-xs' type='submit' name = 'action' value = 'Wow' />
                        {% else %}
                            <input class='btn btn-default btn-xs' type='submit' name = 'action' value = 'Wow' />
                        {% endif %}

                        {% if post['emotion']== 'Sad' %}
                            <input class='btn btn-primary btn-xs' type='submit' name = 'action' value = 'Sad' />
                        {% else %}
                            <input class='btn btn-default btn-xs' type='submit' name = 'action' value = 'Sad' />
                        {% endif %}

                        {% if post['emotion']== 'Angry' %}
                            <input class='btn btn-primary btn-xs' type='submit' name = 'action' value = 'Angry' />
                        {% else %}    
                            <input class='btn btn-default btn-xs' type='submit' name = 'action' value = 'Angry' />
                        {% endif %}
                </form>
        </td>
    </tr>
    {% endfor %}

</table>

<h2>Add Post</h2>

{% with messages = get_flashed_messages(category_filter=["create_post_success"]) %}

    {% for message in messages %}
        <div class="alert alert-success alert-dismissible">
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">&times;</span>
            </button>
            {{message}}
        </div>
    {% endfor %}

{% endwith%}

<form class='form-inline' method='post' action="{{url_for('.update_post')}}">
    <input class='form-control' type='text' name='new_post' placeholder='Add Post'/>
    <input class='form-control' type='hidden' name='action' value='add'/>
    <input class='btn btn-primary' type='submit' />
</form>

{% endblock %}